
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>shell案例 - 统计用户上传文件的时间 / 憋错料</title>

    <meta name="description" content="shell案例 - 统计用户上传文件的时间 问题与需求: 一个web服务跑论坛,每天都有很多用户会上传文件到服务器里,假设这些文件会保存在/data/www/attachment目录下,我想知道用户大概会在什么时候上传文件? 从而了解用户的行为习惯 解决思路: 1. 判断新文件是否被上传到了服务器里?以5分钟为一个间隔,进行检测. 2. 确定这些文件是什么时候被上传的? 3. 将新文件的列表输出到一个按年.月.日.时.分为名字的日志里,以方便我们进行查看分析 4. 写一个shell脚本来帮我们自动实现这个检测和记录的过程,当然只检测一次是">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">shell案例 - 统计用户上传文件的时间</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>问题与需求：</strong></p>
<p>一个web服务跑论坛，每天都有很多用户会上传文件到服务器里，假设这些文件会保存在/data/www/attachment目录下，我想知道用户大概会在什么时候上传文件？ 从而了解用户的行为习惯</p>
<p><strong>解决思路：</strong></p>
<p>1. 判断新文件是否被上传到了服务器里？以5分钟为一个间隔，进行检测。</p>
<p>2. 确定这些文件是什么时候被上传的？</p>
<p>3.&nbsp;将新文件的列表输出到一个按年、月、日、时、分为名字的日志里，以方便我们进行查看分析</p>
<p>4. 写一个shell脚本来帮我们自动实现这个检测和记录的过程，当然只检测一次是不够的，需要每隔一段时间进行一次检测，所以需要把这个脚本添加到linux的任务计划里，规定它假设每隔5分钟执行一次，想想都省时省力<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJhaWR1LmNvbS9oaS9qeDIval8wMDU3LmdpZg==.jpg" /></p>
<p><strong>shell脚本：/root/new_file.sh</strong></p>
<p>#! /bin/bash</p>
<p>date_log=`date -d "-5 minutes" +%Y%m%d%H%M`.log</p>
<p>basedir=/data/web/attachment</p>
<p>##Examine if any new files are uploaded in the last 5 minutes</p>
<p>find $basedir -type f -mmin -5 &gt; /tmp/1.txt</p>
<p>n=`wc -l /tmp/1.txt`</p>
<p>##If new files appear, write them into date_log</p>
<p>if [ $n -gt 0 ]</p>
<p>then</p>
<p>cat /tmp/1.txt &gt; /tmp/$date_log</p>
<p>fi</p>
<p><strong>将shell脚本添加到任务计划里去：</strong></p>
<p>crontab -e</p>
<p>*/5 * * * * sh new_file.sh</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 07:00:50 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/linux/" title="linux">linux</a>, <a href="https://www.biecuoliao.com/tag/centos/" title="centos">centos</a>, <a href="https://www.biecuoliao.com/tag/%e8%87%aa%e5%8a%a8%e5%8c%96%e8%bf%90%e7%bb%b4/" title="自动化运维">自动化运维</a>, <a href="https://www.biecuoliao.com/tag/shell-%e8%84%9a%e6%9c%ac/" title="shell 脚本">shell 脚本</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>shell案例 - 统计用户上传文件的时间的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/382AAWM.html" rel="bookmark">匿名用户上传文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实验2允许匿名用户上传文件 实验环境 在虚拟机Linux 6.5系统下需要2台Linux系统一台A作为服务端一条B作为测试客户端开启2台Linux系统. 实验目标 A作为服务端配置VSFTPD服务器实现FTP服务. B作为测试客户端验证服务器A的共享是否有效. 配置真实主机确保真实主机能ping通2台虚拟机. 实验步骤 1.  首先将A,B真实主机放到同一网段中为了以后实验方便配置永久起效的静态IP地址验证AB真实主机能否通信安装vsftpd服务并启动. 2.  修改vsftpd主配置文件使得匿			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kKX570.html" rel="bookmark">Django配置用户上传文件夹和暴露后端文件夹资源</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网站所用的静态文件我们都默认存放到static文件夹下,而用户上传的文件也是静态资源,我们需要找一个公共的地方专门存储用户上传的静态文件. 针对用户上传的不同文件,保存到指定的文件夹下. media配置专门用来指定用户上传的静态文件存放路径 1.配置文件中书写以下代码 # settings.py MEDIA_ROOT = os.path.join(BASE_DIR, 'media') # 用户上传的文件就会保存到该文件夹下 # media是文件夹的名字,可以自定义,一般使用media作为名字 当			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0db2e74.html" rel="bookmark">shell中利用ftp 上传文件夹功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道ftp 只能用来上传或者下载文件,一次单个或者多个,怎么实现将文件夹的上传和下载呢? 可以利用先在remote ip上建立一个相同的文件夹目录,然后将文件放到各自的目录中去 1.循环遍历出要上传的文件夹中的文件夹目录 2.遍历出每个文件夹下的文件 3.逐一上传文件 ftp 命令 图中有众多的交互,我们不想让他显示这些交互 可以使用参数 屏蔽掉 ftp [-v] [-n] [-i] [-d] [-g] [-s:filename] [-a] [-w:windowsize] [computer			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lxjNN0.html" rel="bookmark">django 用户上传文件media的存储访问配置1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 首先新建文件夹media  后 在项目setting中具体配置: 1 MEDIA_URL = '/media/' 2 MEDIA_ROOT = os.path.join(BASE_DIR, 'media') 在 setting 中的 TEMPLATES 下的 OPTIONS 中的 context_processors 中追加: TEMPLATES = [ { 'DIRS': [os.path.join(BASE_DIR, 'templates')], ...... 'OPTIONS': {			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/AMDVmo3.html" rel="bookmark">C&num;远程执行Linux系统中Shell命令和SFTP上传文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.工具:SSH.Net 网址:https://github.com/sshnet/SSH.NET 二.调用命令代码: Renci.SshNet.SshClient ssh = new Renci.SshNet.SshClient(&quot;192.168.1.104&quot;, &quot;sindrol&quot;, &quot;123456&quot;); ssh.Connect(); while (true) { Console.WriteLine(&quot;please input com			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wNbXY0.html" rel="bookmark">struts2-19-合法用户上传文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一:登录页面 成功:---&gt;upload.jsp 失败:返回错误信息(用户名或者密码错误) 二:上传文件 登录成功:上传成功 未登录:---&gt;login.jsp+错误信息(请登录) 三:设置拦截器  未登录不能上传文件  nuc.sw.interceptor---&gt;loginIntercetor.java 1 package nuc.sw.interceptor; 2 3 import com.opensymphony.xwork2.Action; 4 import com.opensy			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVz2xxM.html" rel="bookmark">kindeditor富文本框，上传文件后，显示文件名称</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				kindeditor作为一个应用广泛富文本框,我们经常会利用到它,然而在使用的过程中,发现有的地方使用起来很不方便,例如本文要说的,用户上传文件之后,默认只有文件URL,没有文件说明,如图: 点击确定之后,内容中显示的只是一串很长的地址,这并不是我们想要的. 更多的时候,我们只是希望它这里能默认显示文件名称,只有在文件说明里,填写了文件名称,在内容里面才会以名称的形式呈现.这个时候,我们就要给它做个小手术,来完善它,下面贴出代码: 1.修改asp.net/upload_json.ashx文件,大			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZQQYl0.html" rel="bookmark">servlet上传文件（四）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.servlet上传文件 servlet上传文件就是将客户端的文件上传到服务器端. 向服务器发送数据时,客户端发送的http请求正文采用&quot;multipart/form-data&quot;数据类型,他表示复杂的多个子部分的复合表单. 为了简化&quot;multipart/form-data&quot;数据的处理过程.可以使用Apache组织提供是的两个开源包来来实现上传. fileupload软件包(commons-fileupload-1.2.1.jar),负责文件上传的软件包. io软件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02XNrB4.html" rel="bookmark">通过PHP上传文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过 PHP,可以把文件上传到服务器. 创建一个文件上传表单 允许用户从表单上传文件是非常有用的. 请看下面这个供上传文件的 HTML 表单: &lt;html&gt; &lt;body&gt; &lt;form action=&quot;upload_file.php&quot; method=&quot;post&quot; enctype=&quot;multipart/form-data&quot;&gt; &lt;label for=&quot;file&quot;&gt;Filename:&l			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/949kpn0.html" rel="bookmark" class="title">Unity3d 4&period;0新动画系统Mecanim用法（二）</a>
					<div>
						上一篇,我们初步了解了一下Mecanim的部分很基础的类容,我以一个疑问的形式结尾.这次我来揭晓此问题的答案,其实很简单,上次的警告如下: 4.0新动画系统Mecanim用法(二)&quot;&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/v0kPQp3.html" rel="bookmark" class="title">k8s-configmap</a>
					<div>
						一.目的 把应用的代码和配置分开,通过配置configmap管理pod,一种统一的集群配置管理方案.ConfigMap API资源提供了将配置数据注入容器的方式,同时保持容器是不知道Kubernete ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wrr1V0.html" rel="bookmark" class="title">天线罩基础&lbrack;转载&rsqb;</a>
					<div>
						May 2008 A Fundamental and Technical Review of Radomes By Lance Griffiths, Ph.D., Radome Design Engi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pvXw80.html" rel="bookmark" class="title">CF19D  线段树&plus;STL各种应用</a>
					<div>
						http://codeforces.com/problemset/problem/19/D Description Pete and Bob invented a new interesting ga ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDRwZk3.html" rel="bookmark" class="title">不借助第三方jar包实现文件上传</a>
					<div>
						如果实现文件上传难道非要借助第三方jar包(最常用的莫过于apache的commons-fileupload工具包)来实现吗?答案是否定的,下面通过例子演示在不借助第三方jar包的前提下如何实现文件的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NzbP64.html" rel="bookmark" class="title">c&plus;&plus;继承、多态以及与java的行为差异之处</a>
					<div>
						对于面向对象而言,多态是最有用的基本特性之一,相对于函数指针,易用得多.下面看下c++继承和多态行为的基本特性,最后说明下和java的基本差别. 首先定义父类和子类. base.h #pragma o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyKo8V3.html" rel="bookmark" class="title">uva 1619 - Feel Good  一个技巧</a>
					<div>
						1619 - Feel Good Time limit: 3.000 seconds Bill is developing a new mathematical theory for human em ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6blxdM.html" rel="bookmark" class="title">市场需求和产品需求有哪些区别和联系？</a>
					<div>
						1.市场需求是问题,产品需求是答案 一个是现象一个是方法 产品需求服务产品,产品服务市场需求,它们应该是因果关系 产品都是为解决某个问题存在的 2.市场需求有伪装性,产品需求要明晰性 就像福特和马的故 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmA2Y1M.html" rel="bookmark" class="title">Window对象的判定方法</a>
					<div>
						/* window对象的判定,由于ECMA是不规范Host对象,window对象属于Host,所以也没有约定,所以就算是Object.prototype也对它无可奈何, 而且如果根据window.wi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nLvej4.html" rel="bookmark" class="title">行动和思考的距离</a>
					<div>
						知道自己是一个喜欢逃避的人,但是没有想到自己居然这么拖拉.说好的一天一写,呵呵  留下一个玩笑. 未来的路还很长,还很难,但是也有成为一个让自己佩服自己的人!!! 前提是很努力很努力,因为我必须承认我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NnXNo4.html" rel="bookmark" class="title">linux修改系统时区</a>
					<div>
						这是我在集群web系统中遇到的问题(4台web服务器的时间不同而导致,分发不均造成系统老断开),这里我也制作内网的ntpdate时间同步服务器,同步时老差8个小时. 这是由于安装系统时采用了UTC,那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k96vX4.html" rel="bookmark" class="title">SDUT3145：Integer division 1（换零钱背包）</a>
					<div>
						题目:传送门 题目描述 整数划分是一个非常经典的数学问题. 所谓整数划分,是指把一个正整数n写成为n=m1+m2+...+mi的形式,其中mi为正整数,并且1&lt;=mi&lt;=n,此时,{m1, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6lrQv3.html" rel="bookmark" class="title">ORACLE 归档日志打开关闭方法&lpar;转载&rpar;</a>
					<div>
						一 设置为归档方式 1 sql&gt; archive log list; #查看是不是归档方式 2 sql&gt; alter system set log_archive_start=true s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Oy1r9M.html" rel="bookmark" class="title">SSL编程&lpar;3&rpar;&period;NET实现SSL服务端</a>
					<div>
						准备开发用数字证书 一般学习和开发调试场合,不会随便使用正式的SSL服务器证书的私钥.由于服务器验证对于SSL来说是必须的,SSL服务器端必须有拥有一个服务器证书,即能够访问到证书的私钥.对于要求客户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Rm1ppM.html" rel="bookmark" class="title">Guava-Optional可空类型</a>
					<div>
						接上篇Guava之Joiner和Splitter,本篇将介绍Guava的另外一个有用的对象Optional,这在Java中Google Guava首先给我们提出可空对象模型的.在其他语言如c#这是已经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPJGX63.html" rel="bookmark" class="title">JavaScript email格式校验</a>
					<div>
						无任何依赖,适用于任何平台,javascript特效原始语言编写. 演示:http://www.huiyi8.com/jiaoben/ /*** email格式校验* @param {Object}  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aGQJA4.html" rel="bookmark" class="title">Uploadify按钮功能无法执行</a>
					<div>
						问题描述: 涉及到上传功能的按钮普遍无法正常显示,且功能无法正常运行.相同代码在其他电脑可正常运行. 查询后台代码如下: 原因: 初步估计,是浏览器无法解析swf文件导致 解决方法: Chrome浏览 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bKGee3.html" rel="bookmark" class="title">生成n位随机字符串</a>
					<div>
						--1.借助newid() Go --创建视图(因为在函数中无法直接使用newid()) create view vnewid as select newid() N'MacoId'; go --创建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZQnED0.html" rel="bookmark" class="title">哈希算法（一次探测，二次探测，哈希桶法）支持字典查询</a>
					<div>
						HashTable-散列表/哈希表,是根据关键字(key)而直接访问在内存存储位置的数据结构.它通过一个关键值的函数将所需的数据映射到表中的位置来访问数据,这个映射函数叫做散列函数,存放记录的数组叫做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YQjmv0.html" rel="bookmark" class="title">作业七：每日立会（9）</a>
					<div>
						参加会议人员:全组六人 通过昨天的努力,我们的程序已经能够运行它的基本功能,但还有以下3点没有完成:功能设置的完善,图片的随机生成并且再次基础上的记分系统,所以我们今天的目标就是解决其中的一个问题.  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
